<?php // $Id: locale_settings.php,v 1.6.2.2 2007/10/08 10:42:47 mathieu Exp $
/**
 * CLAROLINE
 * Turkish Translation
 * @version 1.8 $Revision: 1.6.2.2 $
 *
 * @copyright (c) 2001-2006 Universite catholique de Louvain (UCL)
 *
 * @license http://www.gnu.org/copyleft/gpl.html (GPL) GENERAL PUBLIC LICENSE 
 *
 * @package LANG-TR
 *
 * @author Claro team <cvs@claroline.net>
 */
$englishLangName = "Turkish";

$iso639_1_code = "tr";
$iso639_2_code = "tur";

$langNameOfLang['arabic'		]="arapça";
$langNameOfLang['brazilian'		]="brezilya dili";
$langNameOfLang['bulgarian'		]="bulgarca";
$langNameOfLang['croatian'		]="hırvatça";
$langNameOfLang['dutch'			]="dutch";
$langNameOfLang['english'		]="ingilizce";
$langNameOfLang['finnish'		]="fince";
$langNameOfLang['french'		]="fransızca";
$langNameOfLang['german'		]="almanca";
$langNameOfLang['greek'			]="rumca";
$langNameOfLang['italian'		]="italyanca";
$langNameOfLang['japanese'		]="japonca";
$langNameOfLang['polish'		]="lehce";
$langNameOfLang['simpl_chinese'	        ]="çince";
$langNameOfLang['spanish'		]="ispanyolca";
$langNameOfLang['swedish'		]="isveçce";
$langNameOfLang['thai'			]="tayca";
$langNameOfLang['turkish'		]="türkçe";

$charset = 'utf-8';

$text_dir = 'ltr'; // ('ltr' for left to right, 'rtl' for right to left)
$left_font_family = 'verdana, helvetica, arial, geneva, sans-serif';
$right_font_family = 'helvetica, arial, geneva, sans-serif';
$number_thousands_separator = ',';
$number_decimal_separator = '.';
$byteUnits = array('Byte', 'KB', 'MB', 'GB', 'TB', 'PB', 'EB');

$langDay_of_weekNames['init'] = array('P', 'Pt', 'S', 'Ç', 'P', 'C', 'Ct');
$langDay_of_weekNames['short'] = array('Paz', 'Pts', 'Sal', 'Çar', 'Per', 'Cum', 'Cts');
$langDay_of_weekNames['long'] = array('Pazar', 'Pazartesi', 'Salı', 'Çarşamba', 'Perşembe', 'Cuma', 'Cumartesi');

$langMonthNames['init']  = array('O', 'Ş', 'M', 'N', 'M', 'H', 'T', 'A', 'E', 'E', 'K', 'A');
$langMonthNames['short'] = array('Oca', 'Şub', 'Mar', 'Nis', 'May', 'Haz', 'Tem', 'Ağu', 'Eyl', 'Eki', 'Kas', 'Ara');
$langMonthNames['long'] = array('Ocak', 'Şubat', 'Mart', 'Nisan', 'Mayıs', 'Haziran', 'Temmuz', 'Ağustos', 'Eylül', 'Ekim', 'Kasım', 'Aralık');

// Voir http://www.php.net/manual/en/function.strftime.php pour la variable
// ci-dessous

$dateFormatShort =  "%b %d, %y";
$dateFormatLong  = '%A %B %d, %Y';
$dateTimeFormatLong  = '%B %d, %Y Saat %I:%M %p';
$timeNoSecFormat = '%I:%M %p';

?>
